import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("offer_popup_cms")
export class OfferPopupCmsEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    stateName: string;

    @Column({ default: null, nullable: true })
    stateCode: string;

    @Column({ default: null, nullable: true })
    image: string;

    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    subTitle: string;

    @Column({ default: null, nullable: true })
    offerButtonText: string;

    @Column({ default: null, nullable: true })
    offerButtonLink: string;

    @Column({ default: null, nullable: true })
    bottomButtonText: string;

    @Column({ default: 0 })
    time: number;

    @Column({ default: 0 })
    expireTime: number;

    @Column({ default: null, nullable: true })
    pages: string;

    @Column({ default: false, nullable: true })
    isDefault: boolean;
}
