import { IsNotEmpty } from "class-validator";

export class BasePickupDeliveryCmsDto {
    @IsNotEmpty()
    stateName: string;

    @IsNotEmpty()
    stateCode: string;

    @IsNotEmpty()
    pickupSearchTitle: string;

    @IsNotEmpty()
    pickupInputPlaceholder: string;

    @IsNotEmpty()
    deliveryTitle: string;

    @IsNotEmpty()
    deliveryDescription: string;

    @IsNotEmpty()
    deliverySearchTitle: string;

    @IsNotEmpty()
    deliveryInputPlaceholder: string;

    @IsNotEmpty()
    isDefault: boolean;
}