import { IsNotEmpty, IsEmpty } from "class-validator";

export class CreateDeliveryPagesDto {
    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    subTitle: string;

    @IsNotEmpty()
    description: string;

    @IsEmpty()
    bannerBackgroundImage: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    buttonLink: string;

    @IsNotEmpty()
    address: string;

    @IsNotEmpty()
    lattitude: string;

    @IsNotEmpty()
    longitude: string;

    @IsNotEmpty()
    bodyTitle: string;

    @IsNotEmpty()
    bodyDescription: string;

    @IsNotEmpty()
    urlSlug:string;

    @IsNotEmpty()
    pageTitle:string;

    @IsNotEmpty()
    metaDescription:string;

    @IsNotEmpty()
    metaKeyword:string;
}
    