import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("career_page_ui")
export class CareerPageUI extends CoreEntity {
    @Column({ default: null, nullable: true })
    titleFontColor: string;

    @Column({ default: null, nullable: true })
    subTitleFontColor: string;

    @Column({ default: null, nullable: true })
    descriptionFontColor: string;

    @Column({ default: null, nullable: true })
    buttonBackgroundColor: string;

    @Column({ default: null, nullable: true })
    buttonFontColor: string;

    @Column({ default: null, nullable: true })
    backgroundColor: string;
}
