import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("cookies_settings_ui")
export class CookiesSettingsPageUI extends CoreEntity {
    @Column({ default: null, nullable: true })
    titleFontColor: string;

    @Column({ default: null, nullable: true })
    descriptionFontColor: string;

    @Column({ default: null, nullable: true })
    pageBackgroundColor: string;

    @Column({ default: null, nullable: true })
    pageBreadcrumbFontColor: string;
}
