import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("landing_page_ui")
export class LandingPageUI extends CoreEntity {
    @Column({ default: null, nullable: true })
    titleFontColor: string;

    @Column({ default: null, nullable: true })
    subTitleFontColor: string;

    @Column({ default: null, nullable: true })
    pageBackgroundColor: string;

    @Column({ default: null, nullable: true })
    buttonBackgroundColor: string;

    @Column({ default: null, nullable: true })
    buttonFontColor: string;

    @Column({ default: null, nullable: true })
    policyFontColor: string;
}
