import { Injectable } from "@nestjs/common";
import { fetchMultipleCustomer, fetchOneCustomer } from "src/helper/dutchie-plus-query";
import { getGraphQLClient } from "src/helper/graphql-client-helper";

@Injectable()
export class DutchiePlusCustomerService {

    async fetchMultipleCustomer(variables: any) {
        try {
            const graphQLClient = getGraphQLClient();
            const query = fetchMultipleCustomer();
            return await graphQLClient.request(query, variables);
        } catch (e) {
            return e;
        }
    }

    async fetchSingleCustomer(variables: any) {
        try {
            const graphQLClient = getGraphQLClient();
            const query = fetchOneCustomer();
            return await graphQLClient.request(query, variables);
        } catch (e) {
            return e;
        }
    }
}
