import { IsNotEmpty, IsOptional } from "class-validator";

export class CreateHomePageSectionOneDto {
    // @IsNotEmpty()
    // stateName: string;

    // @IsNotEmpty()
    // stateCode: string;

    @IsNotEmpty()
    titleOne: string;

    @IsNotEmpty()
    titleTwo: string;

    @IsNotEmpty()
    description: string;

    @IsOptional()
    descriptionFontColor: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    buttonLink: string;

    @IsOptional()
    openNowButtonText: string;

    @IsOptional()
    openNowButtonFile: string;

    @IsOptional()
    showOpenNowButton: number;

    @IsNotEmpty()
    image: string;

    @IsNotEmpty()
    isDefault: boolean;

    @IsNotEmpty()
    titleOneColor: string;

    @IsNotEmpty()
    titleTwoColor: string;

    @IsOptional()
    buttonBackgroundColor: string;

    @IsOptional()
    buttonTextColor: string;

}
    