import { IsNotEmpty } from "class-validator";

export class BaseContactPageCmsDto {
    @IsNotEmpty()
    storeId: string;

    @IsNotEmpty()
    storeName: string;

    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    subTitle: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    location: string;

    @IsNotEmpty()
    phone: string;

    @IsNotEmpty()
    email: string;

    @IsNotEmpty()
    lat: string;

    @IsNotEmpty()
    lng: string;

    @IsNotEmpty()
    isDefault: boolean;
}