import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("article_category")
export class ArticleCategoryEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;
   
    @Column({ default: null, nullable: true })
    urlSlug: string;

    @Column({ default: null, nullable: true })
    imageOne: string;

    @Column({ default: null, nullable: true })
    imageTwo: string;

    @Column({ default: false, nullable: true })
    isShowNav: boolean;
}
