import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("benefits_section_learn_more")
export class BenefitsSectionLearnMoreEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    benefitsId: string;

    @Column({ default: null, nullable: true })
    benefitsTitle: string;

    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, type: "longtext", nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    image: string;
}
