import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("contact-reason")
export class ContactReason extends CoreEntity {
    @Column({ default: null, nullable: true })
    stateName: string;

    @Column({ default: null, nullable: true })
    stateCode: string;

    @Column({default: null, nullable: true})
    contactEmail: string;

    @Column()
    contactReasonName: string;

    @Column({ default: false, nullable: true })
    isDefault: boolean;

    @Column({ default: true, nullable: true })
    isShow: boolean;
}
