import { IsEmpty, IsNotEmpty } from "class-validator";

export class CreateRetailerServiceIHeartJaneDto {
    @IsNotEmpty()
    retailerId: number;

    @IsNotEmpty()
    retailerName: string;

    @IsNotEmpty()
    full_address: string;

    @IsNotEmpty()
    delivery: boolean;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    google_map_url: string;

    @IsNotEmpty()
    hours: string;

    @IsNotEmpty()
    lat: number;

    @IsNotEmpty()
    long: number;

    @IsNotEmpty()
    medical: boolean;

    @IsNotEmpty()
    phone: string;

    @IsNotEmpty()
    photo: string;

    @IsNotEmpty()
    pickup: boolean;

    @IsNotEmpty()
    recreational: boolean;

    @IsNotEmpty()
    time_zone_identifier: string;

    @IsNotEmpty()
    url_slug: string;

    @IsEmpty()
    accessCount: number;
}
    