import { CoreEntity } from "src/core/core.entity";
import { Column, Entity, JoinColumn, ManyToOne } from "typeorm";

@Entity('retailer_image_gallery')
export class RetailerImageGalleryEntity extends CoreEntity {
    @Column({ type: "varchar", length: 50})
    retailerId: string | number;

    @Column()
    retailerName: string;

    @Column({default: '', nullable: true})
    image: string;
}
